Bug 847463 - geeqie zeros out hardlinked files on metadata save
geeqie zeros out hardlinked files on metadata save
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: geeqie (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
https://sourceforge.net/tracker/?func...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 13:45 EDT by Matthew Miller
Modified: 2013-07-31 18:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:04:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2012-08-11 13:45:13 EDT
Description of problem:

If I have a file name1.jpg with a hardlink name2.jpg (perhaps in different albums) and change and save the keywords on name1.jpg, name2.jpg will be truncated to 0.


Version-Release number of selected component (if applicable):

1.0-15.fc17

How reproducible:

Every time

Steps to Reproduce:
1. ln name1.jpg name2.jpg
2. in geeqie, display name1.jpg, press ctrl-k to bring up the metadata editor
3. press ctrl-s to save metadata; say "okay" if prompted to confirm
4. watch name2.jpg get destroyed.
  
Actual results:

Files become unlinked. "name1.jpg is successfully updated, but "name2.jpg" is truncated to zero bytes.

Expected results:

Files remain linked. Update saved successfully.

Additional info:
Comment 1 Matthew Miller 2012-08-11 13:50:27 EDT
Upstream bug report: https://sourceforge.net/tracker/?func=detail&aid=3556363&group_id=222125&atid=1054680


Tested with both F17 and F15.
Comment 2 Michael Schwendt 2012-08-13 09:10:13 EDT
Cannot reproduce that yet. No truncation of name2.jpg here.

What are your "Metadata" settings in the Preferences? Screenshot could tell.
Could you attach an strace of a Geeqie session when you reproduce the problem?
Comment 3 Matthew Miller 2012-08-13 10:25:32 EDT
Sorry -- the step missing is:

0. In Preferences under Metadata, check "1) Save metadata in image files, resp. sidecar files, according to XMP standard".

Otherwise, it doesn't try to write to the files at all, which (not surprisingly) doesn't cause any problem.
Comment 4 Michael Schwendt 2012-08-14 07:15:49 EDT
Still cannot reproduce it (with ext4 fs). For the given test case, the two files stay hardlinked.
Comment 5 Fedora End Of Life 2013-07-03 21:10:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:04:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.